﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;

namespace navigation.Data
{
    public class ScatterViewItemDataTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            FrameworkElement element = container as FrameworkElement;

            if (element != null && item != null)
            {
                if (item is Task)
                    return element.FindResource("ScatterViewTaskItemDataTemplate") as DataTemplate;
                else if (item is UserStory)
                    return element.FindResource("ScatterViewItemDataTemplate") as DataTemplate;
            }
            return null;
        }
    }
}
